DESCRIPTION="BrightSign Linux kernel"
SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.2.63-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.3-6.2.63-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "268452f8b1bf9eb3b507765be81d8bdc"
SRC_URI[sha256sum] = "3062c916ef4e6d90d3975646af8985195d4e7596252ecf84196412ab2273abb2"
COMPATIBLE_MACHINE = "bobcat(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"
S = "${WORKDIR}/${PN}-${PV}"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${B}/.config"
}
