DESCRIPTION="BrightSign Linux kernel"
SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.2.63-2-g01d4827-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.8-6.2.63-2-g01d4827-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "d7d477c023e795d51f1cf3a34057be4f"
SRC_URI[sha256sum] = "a5ab2c25c3b3dc33b8e529aaab480e5b7ab98d9c0a39047aa31bf4477ba7837c"
COMPATIBLE_MACHINE = "pantera(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"
S = "${WORKDIR}/${PN}-${PV}"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${B}/.config"
}
