PR .= ".bs"

BS_APPEND_DIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${BS_APPEND_DIR}/${PN}-${PV}", "${BS_APPEND_DIR}/files"], d)}:"

SRC_URI += "\
	file://avahi-daemon \
	file://avahi-daemon.conf \
	file://avahi_clock_monotonic.patch \
	file://avahi_non_fatal_NXDOMAIN.patch \
"

EXTRA_OECONF += "\
    --with-avahi-priv-access-group=root \
    "

INITSCRIPT_PARAMS_avahi-daemon = "defaults 38 38"

do_install_append() {
        rm -f ${D}${sysconfdir}/avahi/services/*
	install -m 0755 ${WORKDIR}/avahi-daemon ${D}${sysconfdir}/init.d/
	install -m 0644 ${WORKDIR}/avahi-daemon.conf ${D}${sysconfdir}/avahi/avahi-daemon.conf

	# We'll start Avahi ourselves, thank you. If we leave this
        # dummy service file behind then the first time we try and
        # communicate with Avahi when it isn't running it takes over
        # five seconds to fail.
	rm -f ${D}${datadir}/dbus-1/system-services/org.freedesktop.Avahi.service
}

