# ubiblk is in our patched kernel but not upstream so we don't get its
# header as part of linux-libc-headers. Should that situation improve
# we can lose this recipe.

DESCRIPTION = "Headers for user-space interface to ubiblk driver"
LICENSE = "GPLv2"
PV = "1.0"
PR = "r4"

SRC_URI = "file://ubiblk-user.h"

S = "${WORKDIR}"

LIC_FILES_CHKSUM = "file://ubiblk-user.h;beginline=1;endline=20;md5=a2bcca1c016a82c189e41d6faa043dca"

do_install() {
    mkdir -p ${D}${includedir}/mtd
    cp ${WORKDIR}/ubiblk-user.h ${D}${includedir}/mtd/
}
