LICENSE = "BSD"

inherit nfsquick

# The Marvell M.2 WiFi module firmware

# This binary is from git://git.marvell.com/mwifiex-firmware.git
# (master branch, mrvl subdirectory)

SRC_URI = "\
    file://LICENCE.Marvell \
    file://pcie8897_uapsta.bin \
    "

LIC_FILES_CHKSUM = "file://../LICENCE.Marvell;md5=9ddea1734a4baf3c78d845151f42a37a"

PV = "1"
PR = "r1"

FILES_${PN} += "/lib/firmware"

do_install() {
    install -d ${D}/lib/firmware/mrvl
    install -m0644 ${WORKDIR}/pcie8897_uapsta.bin ${D}/lib/firmware/mrvl/pcie8897_uapsta.bin
}
