#@TYPE: Machine

require conf/machine/include/tune-cortexa15.inc

DEFAULTTUNE = "cortexa15t-neon"

ARM_INSTRUCTION_SET = "thumb"

SERIAL_CONSOLE = "115200 ttyS0"

PREFERRED_PROVIDER_virtual/kernel = "linux-bcm7425"
PREFERRED_PROVIDER_virtual/libgl = "nexus"

#MKUBIFS_ARGS = "-m 2048 -e 126976 -c 2048"
IMAGE_FSTYPES = "tar.gz squashfs"
UBINIZE_ARGS = "-m 2048 -p 128KiB"

RDEPENDS_kernel-base = ""

KERNEL_DEPLOY_MODULE_TARBALL = "0"

# This is set to ensure that we have enough room in the partition for
# a few bad blocks and for more to develop in the field. See genparts.sh.
KERNEL_IMAGE_MAXSIZE = "11534336"

# This is set to ensure that we can cope with a few bad blocks already
# in the chip but none to develop in the field. See genparts.sh.
RESCUE_IMAGE_MAXSIZE = "11534336"
