SRC_URI = "git://github.com/danni/gobject-list.git;protocol=http"
SRCREV = "6ef09583043fee33a6366338f40d77f11dd9879a"

LICENSE = "LGPLv2.1"
DEPENDS = "libunwind glib-2.0"

S = "${WORKDIR}/git"

LIC_FILES_CHKSUM = "file://gobject-list.c;start=1;end=20;md5=4fd266ffb2d7e81784a1159203aa5891"

do_compile() {
    oe_runmake
}

do_install() {
    install -d ${D}${libdir}
    install -m 0644 ${S}/libgobject-list.so ${D}${libdir}/
}

FILES_${PN} += "${libdir}/libgobject-list.so"
FILES_${PN}-dev = ""

